#include <bits/stdc++.h>
using namespace std;
unsigned nstack,ncard,k,card;
vector<unsigned> cards;

int main() {
    freopen("meow.in","r",stdin);
    freopen("meow.out","w",stdout);
    unsigned T;
    cin>>T;
    for(int i=0; i<T; ++i) {
        cin>>nstack>>ncard>>k;
        for(int j=0; j<ncard; ++j) {
            cin>>card;
            cards.push_back(card);
        }
    }
}
